<%--
/*
 * ident	"@(#)RepLinkWizardPage1.jsp 1.9 04/03/17 SMI"
 * 
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@page language="java" %> 
<%@page import="com.iplanet.jato.view.ViewBean" %>
<%@taglib uri="/jato.tld" prefix="jato"%> 
<%@taglib uri="/cc.tld" prefix="cc"%>

<!--
  // Page 2 
  // Peer selection page
-->
<jato:pagelet>

<cc:i18nbundle id="rrmBundle"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" />

<!-- Legend: required field indicator -->
<cc:legend name="Legend" bundleID="rrmBundle"/>

<!-- For now assume we're still presenting the components in a table
     which is output by the framework and components are
     in rows and cells
-->


<script type="text/javascript">
  function wizardPageInit() {
      WizardWindow_Wizard.setFocusElementName(
	"WizardWindow.Wizard.RepSetCreatePeersPageView.PrimaryDevice");

      // noSelection();
  }

  function noSelection() {
    WizardWindow_Wizard.setNextButtonDisabled(true, null);
  } 

  function primarySelected() {
    primarySelected = true;
    if (secondarySelected == true) {
        enableNext();
    }
  }

  function secondarySelected() {
    secondarySelected = true;
    if (primarySelected == true) {
        enableNext();
    }
  }

  function enableNext() {
    WizardWindow_Wizard.setNextButtonDisabled(false, null);
  }

  WizardWindow_Wizard.pageInit = wizardPageInit;
</script>

<table>
<tbody>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">

	<cc:label name="PrimaryDevLabel" styleLevel="2"
	    elementName="PrimaryDevice"
	    defaultValue="rrm.create.rep.set.wizard.page2.primary.dev"
	    showRequired="true" bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:dropdownmenu name ="PrimaryDevice"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true"
                         />
    </td>
</tr>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:label name="SecondaryDevLabel" styleLevel="2"
	    elementName="SecondaryDevice"
	    defaultValue="rrm.create.rep.set.wizard.page2.secondary.dev"
	    showRequired="true" bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:dropdownmenu name ="SecondaryDevice"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true"
                         />
    </td>
</tr>
</tbody>
</table>

<td valign="top" align="left" rowspan="1" colspan="1">&nbsp;&nbsp;</td>

<table>
<tbody>
<tr>
    <td valign="top" align="left" rowspan="1" colspan="1">
	<cc:checkbox name="refreshData"
	    bundleID="rrmBundle"
	    label="rrm.create.rep.set.refresh.data.question"
	    styleLevel="3"
	    dynamic="true" />
    </td>
</tr>
</tbody>
</table>

<tr><td>
<div id="progressDiv">
<table cellspacing="20">
<tr>
    <td>
        <cc:label name="Label"
                  defaultValue="rrm.task.data.collection.in.progress"
                  bundleID="rrmBundle"/>
    </td>
</tr>
<tr>
    <td><img src="/rrmui/images/Animation4.gif" name="progressHolder" align="middle" ></td>
</tr>
</table>
</div>
</td></tr>

<script type="text/javascript">
    var nextClicked = false;
    var progressDiv = document.getElementById("progressDiv");
    progressDiv.style.visibility="hidden";

    function displayProgress() {
        var progressDiv = document.getElementById("progressDiv");
        progressDiv.style.visibility="visible";
    }
     
     function wizardNextClicked() {

        //var cb = document.getElementById("WizardWindow.Wizard.RepSetCreatePeersPageView.refreshData");

        //if (cb.checked == false) {
        //    return true;
        //}

     	if (nextClicked == false) {
     	  nextClicked = true;
          setTimeout("displayProgress()", 500);
	  ccSetButtonDisabled('WizardWindow.Wizard.cancelButton', 'wizWinForm', true);
	  ccSetButtonDisabled('WizardWindow.Wizard.previousButton', 'wizWinForm', true);
	  return true;
	}
	else {
	  return false;
	}
     }

     WizardWindow_Wizard.nextClicked = wizardNextClicked;
</script>

</jato:pagelet>
