<%--
/*
 * ident	"@(#)WizardPage2.jsp 1.12 04/05/24 SMI"
 * 
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * Use is subject to license terms.
 */
--%>
<%@ page language="java" %> 
<%@ page import="com.iplanet.jato.view.ViewBean" %>
<%@taglib uri="/jato.tld" prefix="jato"%> 
<%@taglib uri="/cc.tld" prefix="cc"%>

<!--
  // The wizard framework provides a javascript object instance
  // called WizardWindow_Wizard. This object has methods that
  // allow the pagelet to disable/enable buttons and set the
  // page's initial focus.
  //
  // References to the methods of WizardWindow_Wizard if not conditional
  // during runtime, that must result in effects when the page is displayed
  // must be placed in a Javascript function and that function name
  // must be assigned to WizardWindow_Wizard.pageInit.
  // The framework will call WizardWindow_Wizard.pageInit() after the
  // wizard tag has been rendered.
  //
  // script statements must appear within at least the first
  // <td> element since HTML validation objects to the appearance
  // of <script> betwee the <table> element and the first <tr>
  // element.
-->
<%-- For now assume we're still presenting the components in a table
     which is output by the framework and components are
     in rows and cells
--%>

<jato:pagelet>

<cc:i18nbundle id="rrmBundle"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" />

<script type="text/javascript">
  // The text for setNextButtonDisabled, becomes the tooltip
  // for the disabled button, or appears in a popup in NS4
  // if the button is clicked, since disabled buttons are
  // not supported by NS4
  //
  function wizardPageInit() {
    // noSelection()
  }

  function noSelection() {
    WizardWindow_Wizard.setNextButtonDisabled(true, null);
  } 

  function enableNext() {
    WizardWindow_Wizard.setNextButtonDisabled(false, null);
  }

  WizardWindow_Wizard.pageInit = wizardPageInit;
   
</script>

<tr>
    <td valign="top" align="left">
	<cc:label name="Mode"
	    elementName="ModeDDM"
	    defaultValue="rrm.create.rep.set.wizard.rep.mode"
	    bundleID="rrmBundle"/>
    </td>
    <td>
	<cc:dropdownmenu name ="ModeDDM"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true" />
    </td>
</tr>
<tr>
    <td valign="top" align="left">
	<cc:label name="Priority"
	    elementName="PriorityDDM"
	    defaultValue="rrm.create.rep.set.wizard.rep.priority"
	    bundleID="rrmBundle"/>
    </td>
    <td colspan="1">
	<cc:dropdownmenu name ="PriorityDDM"
                         bundleID="rrmBundle"
                         type="standard"
                         dynamic="true" />
        <cc:helpinline type="field">
             <cc:text name="PriorityInlineHelp"
                  defaultValue="rrm.priority.inline.help"
                  bundleID="rrmBundle" />
        </cc:helpinline>                                                
    </td>
</tr>

<td valign="top" align="left" rowspan="1" colspan="1">&nbsp;</td>

<tr>
  <td valign="top" align="left">
    <cc:label name="Label" defaultValue="rrm.create.rep.set.auto.sync" bundleID="rrmBundle"/>
  </td>
  <td valign="top" align="left" colspan="1">
    <cc:checkbox name="AutoSync"
                 bundleID="rrmBundle"
                 dynamic="true"/>
    <cc:text name="AutoSyncText" 
             defaultValue="rrm.autosync.enable.text"
             bundleID="rrmBundle"/>
    <br />
    <cc:helpinline type="field">
         <cc:text name="AutoSyncInlineHelp"
                  defaultValue="rrm.autosync.inline.help"
                  bundleID="rrmBundle" />
     </cc:helpinline>                
  </td>
</tr>

<tr>
  <td valign="top" align="left" colspan="3">
    <cc:label name="Label" defaultValue="rrm.on.secondary.label" bundleID="rrmBundle"/>
  </td>
</tr>

<tr>
  <td valign="top" align="left" nowrap>
    &nbsp;&nbsp;&nbsp;<cc:label name="Label" defaultValue="rrm.create.rep.set.execute.snapshots" bundleID="rrmBundle"/>
  </td>
  <td valign="top" align="left" colspan="1">
    <cc:checkbox name="ExecuteSnapshots"
                 bundleID="rrmBundle"
                 dynamic="true"/>
    <cc:text name="ExecuteSnapshotsText" 
             defaultValue="rrm.executesnap.enable.text"
             bundleID="rrmBundle"/>
    <br />
    <cc:helpinline type="field">
         <cc:text name="ExecuteSnapshotsInlineHelp"
                  defaultValue="rrm.executesnap.inline.help"
                  bundleID="rrmBundle" />
     </cc:helpinline>                
  </td>
</tr>

<tr>
  <td valign="top" align="left" nowrap>
    &nbsp;&nbsp;&nbsp;<cc:label name="Label" defaultValue="rrm.create.rep.set.enable.inline.pit" bundleID="rrmBundle"/>
  </td>
  <td valign="top" align="left" colspan="1">
    <cc:checkbox name="InlinePIT"
                 bundleID="rrmBundle"
                 dynamic="true"/>
    <cc:text name="InlinePITText" 
             defaultValue="rrm.inlinepit.enable.text"
             bundleID="rrmBundle"/>
    <br />
  </td>
</tr>


</jato:pagelet>
