<!--
 * Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 * Use is subject to license terms.
 *
 * ident   "@(#)DRM_Version.jsp 1.3 05/10/07 SMI
 *
 -->
<%@ page language ="java" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%
  String systemVersion= "Sun StorEdge (TM) Data Replication Manager";
  try {
      Properties prop = new Properties();
      FileInputStream in = new FileInputStream("/opt/SUNWrrm/etc/version.properties");
      prop.load(in);
      StringBuffer sb = new StringBuffer();
      sb.append(systemVersion).append("<br>");
      sb.append("Version: ");
      sb.append(prop.getProperty("MAJOR")).append(".");
      sb.append(prop.getProperty("MINOR")).append(".");
      sb.append(prop.getProperty("PATCH")).append(".");
      sb.append(prop.getProperty("BUILDNUM"));
	  sb.append("<br>");
      in.close();
      
      // Add patch if this is a patch build
      try {
        FileInputStream patchFile = new FileInputStream("/opt/SUNWrrm/etc/patch.properties");
      
        prop.load(patchFile);
        String patchNum = prop.getProperty("PATCHNUM");
        if (null != patchNum && ! "".equals(patchNum)) {
            sb.append("Patch Installed:").append(patchNum);
            sb.append("<br>");
        }
        patchFile.close();
      } catch (FileNotFoundException fnfe) {
          // Dont do anything. This is probably not a patch and therefore 
          // doesnt have a patch
      }
      
      systemVersion = sb.toString();
  }
  catch(Exception ioe) {
	// Leave systemVersion at its hardcoded default above
  }

  systemVersion = systemVersion.replaceAll("\\([tT][mM]\\)", "<SMALL><SUP>TM</SUP></SMALL>");
	
%>

<html>
<head>
<title>Sun(TM) Web Console: Version</title>
<meta name="Copyright" content="Copyright &copy; 2005 by Sun Microsystems, Inc. All Rights Reserved." />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<script type="text/javascript" src="/com_sun_web_ui/js/browserVersion.js"></script>
<script type="text/javascript" src="/com_sun_web_ui/js/stylesheet.js"></script>
<script type="text/javascript"><!-- Empty script so IE5.0 Windows will draw table and button borders --></script>
</head>

<body class="DefBdy"> 
  <div class="VrsMgn">
    <div class="VrsHdrTxt">
    <%=systemVersion%>
    </div>
<div class="VrsTxt">Copyright &copy; 2005 Sun Microsystems, Inc.  All rights reserved.
U.S. Government Rights - Commercial software.  Government users 
are subject to the Sun Microsystems, Inc. standard license agreement 
and applicable provisions of the FAR and its supplements.  Use is 
subject to license terms.  This distribution may include materials 
developed by third parties. Sun,  Sun Microsystems,  the Sun logo,  
Java,  Netra,  Solaris,  StarOffice,  Sun StorEdge and  Sun[tm] ONE 
are trademarks or registered trademarks of Sun Microsystems, Inc. 
in the U.S. and other countries.</div>
</div>
</body>
</html>
