<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved. 
  * Use is subject to license terms.
  * ident "@(#)RepFastStart.jsp 1.1 05/09/15 SMI
  *
  *
  */
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.replication.RepFastStartViewBean">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="rrm.title" copyrightYear="2005"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" bundleID="rrmBundle"
 onLoad="checkAndClose();">
<cc:secondarymasthead name="SecondaryMasthead" bundleID="rrmBundle" />

<cc:stylesheet/>

<script type="text/javascript">
    function validate() {
            return true;
    }
</script>

<!-- inline alart -->
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<cc:form name="faststartForm" method="post">

<!-- Page Title --> 
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle" 
              pageTitleText="rrm.repsetsummary.actionmenu.scoreboard.faststart"
              pageTitleHelpMessage="rrm.repsetsummary.faststart.description"
              showPageTitleSeparator="true"
              showPageButtonsTop="false"
              showPageButtonsBottom="true">
<cc:text name="FastStartText" bundleID="rrmBundle" defaultValue="rrm.repsetsummary.faststart" />
<cc:spacer name="space" height="10" newline="true" />

<cc:radiobutton name="RadioButton" bundleID="rrmBundle" />

<div id="progressDiv">
<table cellspacing="20">
<tr>
    <td>
        <cc:label name="Label"
          defaultValue="rrm.repsetsummary.faststart.in.progress"
          bundleID="rrmBundle"/>
    </td>
</tr>
<tr>
    <td><img src="/rrmui/images/Animation4.gif" name="progressHolder" align="middle" ></td>
</tr>
</table>
</div>


<!-- hidden field to set the flag to close the window -->
<cc:hidden name="issueClose" />
</cc:pagetitle>
<script type="text/javascript">
    var progressDiv = document.getElementById("progressDiv");
    progressDiv.style.visibility="hidden";

	function displayProgress() {
	var progressDiv = document.getElementById("progressDiv");
	progressDiv.style.visibility="visible";
    }
    
    function checkAndClose() {
    	var tf = document.faststartForm;
    	if (tf.elements['RepFastStart.issueClose'].value != "") {
            window.opener.location.href='/rrmui/replication/RepSetSummary';
            window.close();
    	}
    }
    // except in ie, onload call to checkAndClose doesn't close win, call again
    checkAndClose();    
</script>
</cc:form>
</cc:header>
</jato:useViewBean> 
