<%--
 /*
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved.
  * Use is subject to license terms.
  *
  * ident   "@(#)ArrayDetails.jsp 1.7 05/07/15 SMI
  *
  */
--%>

<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.storage.ArrayDetailsViewBean">

<cc:header pageTitle="rrm.arraydetail.pagetitle" 
            copyrightYear="2004"
            baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
            bundleID="rrmBundle"
            onLoad="toggleDisabledState()">

<jato:containerView name="PortTableTiledView">
 
  <script type="text/javascript">
  // This function will toggle the disabled state of action buttons
  // depending on single or multiple selections.
  function toggleDisabledState() {
      
      // Element name (prefix) of selection checkbox.
      var elementName = "ArrayDetails.PortsTable.SelectionRadiobutton";
  	  // Document form.
      var form = document.ArrayDetailsForm;
      // Flag indicating to disable action button and menu options.
      var disabled = true;
		
      // Set flag if a selection has been made.
      for (i = 0; i < form.elements.length; i++) {
          var e = form.elements[i];
  			
          if (e.name && e.name.indexOf(elementName) != -1) {
              if (e.checked) {
                  disabled = false;
                  break;
              }
          }
      }
  
      // Toggle action button disabled state.
      ccSetButtonDisabled("ArrayDetails.ActionButton0", "ArrayDetailsForm", disabled);
      ccSetButtonDisabled("ArrayDetails.ActionButton1", "ArrayDetailsForm", disabled);

  }

  function confirm_disable() {
    var str = "<cc:text name='ConfirmDisable' bundleID="rrmBundle" defaultValue='rrm.arraydetail.port.confirm.disable'/>";
	return input_box=confirm(str);
    }
  </script>
 
  
  </jato:containerView>

<!-- Form -->
<jato:form name="ArrayDetailsForm" method="post">

<!-- Masthead -->
<cc:primarymasthead name="Masthead" bundleID="rrmBundle" />

<!-- Navigation Tabs -->
<jato:content name="LocalTabs">
<cc:tabs name="Tabs" bundleID="rrmBundle" />

</jato:content>

<!-- Bread Crumb componente-->
<cc:breadcrumbs name="breadcrumbs" bundleID="rrmBundle" />

<!-- inline alart -->
<cc:alertinline name="Alert" bundleID="rrmBundle" />

<!-- Page title -->
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle"
              pageTitleText="rrm.arraydetail.pagetitle"
              showPageTitleSeparator="true"
              showPageButtonsTop="true"
              showPageButtonsBottom="true">


<!-- PropertySheet -->
<cc:propertysheet name="PropertySheet" 
              bundleID="rrmBundle" 
              showJumpLinks="true"/>

</cc:pagetitle>

<br>

</jato:form>
</cc:header>
</jato:useViewBean> 

