<%--
 /*
  * ident "@(#)EditArrayPopup.jsp 1.1 05/05/03 SMI
  * Copyright 2005 Sun Microsystems, Inc. All rights reserved. 
  * Use is subject to license terms.
  *
  *
  */
--%>
<%@ page info="Index" language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%>
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.rrm.ui.storage.EditArrayPopupViewBean">

<!-- Define the resource bundle, html, head, meta, stylesheet and body tags -->
<cc:header pageTitle="rrm.title" copyrightYear="2005"
 baseName="com.sun.netstorage.mgmt.rrm.shared.resources.Resources" 
 bundleID="rrmBundle" 
 onLoad="checkAndClose();">
<cc:secondarymasthead name="SecondaryMasthead" bundleID="rrmBundle" />

<cc:stylesheet/>

<cc:form name="rrmForm" method="post">
<cc:alertinline name="Alert" bundleID="rrmBundle" />


<!-- Page Title --> 
<cc:pagetitle name="PageTitle" 
              bundleID="rrmBundle" 
              pageTitleText="rrm.arraypopup.edit.title" 
              pageTitleHelpMessage="rrm.arraypopup.edit.title.help"
              showPageTitleSeparator="true"
              showPageButtonsTop="false"
              showPageButtonsBottom="true">

<!-- PropertySheet -->
<cc:propertysheet
    name="EditArrayPropSheet"
    bundleID="rrmBundle"
    showJumpLinks="false"/>


<!-- hidden field to set the flag to close the window -->
<cc:hidden name="issueClose" />
</cc:pagetitle>
<script type="text/javascript">
    function checkAndClose() {
        var tf = document.rrmForm;
        if (tf.elements['EditArrayPopup.issueClose'].value != "") {
            window.opener.location.href='/rrmui/storage/ArrayDetails';
            window.close();
        }
    }
    // except in ie, onload call to checkAndClose doesn't close win, call again
    checkAndClose();
</script>
</cc:form>
</cc:header>
</jato:useViewBean> 
